#include "freedom.h"

#define NO_TOUCH		0

#define SLIDER_LENGTH		40 //LENGTH in mm

#define TOTAL_ELECTRODE		2

/*Chose the correct TSI channel for the electrode number*/
#define ELECTRODE0   9
#define ELECTRODE1   10
#define ELECTRODE2   0
#define ELECTRODE3   1
#define ELECTRODE4   2
#define ELECTRODE5   3
#define ELECTRODE6   4
#define ELECTRODE7   5
#define ELECTRODE8   6
#define ELECTRODE9   7
#define ELECTRODE10  8
#define ELECTRODE11  11
#define ELECTRODE12  12
#define ELECTRODE13  13
#define ELECTRODE14  14
#define ELECTRODE15  15

#define THRESHOLD0   100
#define THRESHOLD1   100
#define THRESHOLD2   100
#define THRESHOLD3   100
#define THRESHOLD4   100
#define THRESHOLD5   100
#define THRESHOLD6   100
#define THRESHOLD7   100
#define THRESHOLD8   100
#define THRESHOLD9   100
#define THRESHOLD10   100
#define THRESHOLD11   100
#define THRESHOLD12   100
#define THRESHOLD13   100
#define THRESHOLD14   100
#define THRESHOLD15   100


extern uint8 total_electrode;
extern uint8 elec_array[16];
extern uint16 gu16TSICount[16];
extern uint16 gu16Baseline[16];
extern uint16 gu16Threshold[16];
extern uint16 gu16Delta[16];
extern uint8 ongoing_elec;
extern uint8 AbsolutePercentegePosition;
extern uint8 AbsoluteDistancePosition;


extern uint8 end_flag;

void TSI_SelfCalibration(void);
void TSI_Init(void);
void TSI_ISR(void);
void TSI_SimpleApp (void);
void TSI_SliderApp (void);
void TSI_SliderRead(void);
